Package org.pentaho.reporting.libraries.formula

# Class LibFormulaErrorValue

java.lang.Object
org.pentaho.reporting.libraries.formula.LibFormulaErrorValue

All Implemented Interfaces:
  `Serializable`, `ErrorValue`

public class LibFormulaErrorValue extends Object implements ErrorValue
Creation-Date: 31.10.2006, 13:07:37

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ERROR_ARGUMENTS`
Invalid number of arguments error code
`static final LibFormulaErrorValue`
`ERROR_ARGUMENTS_VALUE`
Invalid number of arguments error
`static final int`
`ERROR_ARITHMETIC`
Number arithmetic error code
`static final LibFormulaErrorValue`
`ERROR_ARITHMETIC_VALUE`
Number arithmetic error
`static final int`
`ERROR_ILLEGAL_ARRAY`
`static final LibFormulaErrorValue`
`ERROR_ILLEGAL_ARRAY_VALUE`
`static final int`
`ERROR_INVALID_ARGUMENT`
Parameter types are invalid error code
`static final LibFormulaErrorValue`
`ERROR_INVALID_ARGUMENT_VALUE`
Parameter types are invalid error
`static final int`
`ERROR_INVALID_AUTO_ARGUMENT`
Parameter types are invalid error code
`static final LibFormulaErrorValue`
`ERROR_INVALID_AUTO_ARGUMENT_VALUE`
Parameter types are invalid error
`static final int`
`ERROR_INVALID_CHARACTER`
A parse error
`static final int`
`ERROR_INVALID_FUNCTION`
Function name is invalid error code
`static final LibFormulaErrorValue`
`ERROR_INVALID_FUNCTION_VALUE`
Function name is invalid error
`static final ErrorValue`
`ERROR_MISSING_ARGUMENT_VALUE`
`static final int`
`ERROR_MISSING_VARIABLE`
`static final int`
`ERROR_NA`
NA error code
`static final LibFormulaErrorValue`
`ERROR_NA_VALUE`
NA error
`static final int`
`ERROR_NOT_FOUND`
Occurence not found error code
`static final LibFormulaErrorValue`
`ERROR_NOT_FOUND_VALUE`
Occurence not found error
`static final int`
`ERROR_REFERENCE_NOT_RESOLVABLE`
`static final int`
`ERROR_UNEXPECTED`
Unexpected error code
`static final LibFormulaErrorValue`
`ERROR_UNEXPECTED_VALUE`
Unexpected error

## Constructor Summary

Constructors
Constructor
Description
`LibFormulaErrorValue(int errorCode)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getErrorCode()`
`String`
`getErrorMessage(Locale locale)`
`String`
`getNamespace()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ERROR_REFERENCE_NOT_RESOLVABLE

public static final int ERROR_REFERENCE_NOT_RESOLVABLE

See Also:
  - Constant Field Values

### ERROR_INVALID_CHARACTER

public static final int ERROR_INVALID_CHARACTER
A parse error

See Also:
  - Constant Field Values

### ERROR_INVALID_FUNCTION

public static final int ERROR_INVALID_FUNCTION
Function name is invalid error code

See Also:
  - Constant Field Values

### ERROR_INVALID_FUNCTION_VALUE

public static final LibFormulaErrorValue ERROR_INVALID_FUNCTION_VALUE
Function name is invalid error

### ERROR_INVALID_ARGUMENT

public static final int ERROR_INVALID_ARGUMENT
Parameter types are invalid error code

See Also:
  - Constant Field Values

### ERROR_INVALID_ARGUMENT_VALUE

public static final LibFormulaErrorValue ERROR_INVALID_ARGUMENT_VALUE
Parameter types are invalid error

### ERROR_INVALID_AUTO_ARGUMENT

public static final int ERROR_INVALID_AUTO_ARGUMENT
Parameter types are invalid error code

See Also:
  - Constant Field Values

### ERROR_INVALID_AUTO_ARGUMENT_VALUE

public static final LibFormulaErrorValue ERROR_INVALID_AUTO_ARGUMENT_VALUE
Parameter types are invalid error

### ERROR_ILLEGAL_ARRAY

public static final int ERROR_ILLEGAL_ARRAY

See Also:
  - Constant Field Values

### ERROR_ILLEGAL_ARRAY_VALUE

public static final LibFormulaErrorValue ERROR_ILLEGAL_ARRAY_VALUE

### ERROR_ARITHMETIC

public static final int ERROR_ARITHMETIC
Number arithmetic error code

See Also:
  - Constant Field Values

### ERROR_ARITHMETIC_VALUE

public static final LibFormulaErrorValue ERROR_ARITHMETIC_VALUE
Number arithmetic error

### ERROR_ARGUMENTS

public static final int ERROR_ARGUMENTS
Invalid number of arguments error code

See Also:
  - Constant Field Values

### ERROR_ARGUMENTS_VALUE

public static final LibFormulaErrorValue ERROR_ARGUMENTS_VALUE
Invalid number of arguments error

### ERROR_NOT_FOUND

public static final int ERROR_NOT_FOUND
Occurence not found error code

See Also:
  - Constant Field Values

### ERROR_NOT_FOUND_VALUE

public static final LibFormulaErrorValue ERROR_NOT_FOUND_VALUE
Occurence not found error

### ERROR_NA

public static final int ERROR_NA
NA error code

See Also:
  - Constant Field Values

### ERROR_NA_VALUE

public static final LibFormulaErrorValue ERROR_NA_VALUE
NA error

### ERROR_UNEXPECTED

public static final int ERROR_UNEXPECTED
Unexpected error code

See Also:
  - Constant Field Values

### ERROR_UNEXPECTED_VALUE

public static final LibFormulaErrorValue ERROR_UNEXPECTED_VALUE
Unexpected error

### ERROR_MISSING_VARIABLE

public static final int ERROR_MISSING_VARIABLE

See Also:
  - Constant Field Values

### ERROR_MISSING_ARGUMENT_VALUE

public static final ErrorValue ERROR_MISSING_ARGUMENT_VALUE

## Constructor Details

### LibFormulaErrorValue

public LibFormulaErrorValue(int errorCode)

## Method Details

### getNamespace

public String getNamespace()

Specified by:
  `getNamespace` in interface `ErrorValue`

### getErrorCode

public int getErrorCode()

Specified by:
  `getErrorCode` in interface `ErrorValue`

### getErrorMessage

public String getErrorMessage(Locale locale)

Specified by:
  `getErrorMessage` in interface `ErrorValue`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`